defmodule EOSRPC.Mixfile do
  use Mix.Project

  def project do
    [
      app: :eosrpc,
      version: "0.6.3",
      elixir: "~> 1.5",
      start_permanent: Mix.env() == :prod,
      description: "Simple EOSRPC Wrapper for Elixir",
      package: package(),
      deps: deps(),
      source_url: "https://github.com/BeSpiral/eosrpc-elixir-wrapper",
      docs: [
        main: "readme",
        extras: ["README.md"]
      ]
    ]
  end

  # Run "mix help compile.app" to learn about applications.
  def application do
    [
      extra_applications: [:logger]
    ]
  end

  # Run "mix help deps" to learn about dependencies.
  defp deps do
    [
      {:tesla, "1.3.3"},
      {:jason, "~> 1.2"},
      {:timex, "~> 3.4"},
      {:ex_doc, "~> 0.19", only: :dev, runtime: false},

      # dev
      {:credo, "~> 0.10", only: [:dev, :test], runtime: false}
    ]
  end

  defp package() do
    [
      name: "eosrpc",
      files: ["lib", "test", "mix.exs", "README.md", "LICENSE*"],
      licenses: ["AGPL-3.0-or-later"],
      links: %{"Github" => "https://github.com/BeSpiral/eosrpc-elixir-wrapper"},
      maintainers: ["Leo Ribeiro", "Julien Lucca"]
    ]
  end
end
